# Uses of Interface
org.apache.cxf.workqueue.AutomaticWorkQueue

Packages that use AutomaticWorkQueue
Package
Description
org.apache.cxf.bus.managers
org.apache.cxf.workqueue

- ## Uses of AutomaticWorkQueue in org.apache.cxf.bus.managers

  Methods in org.apache.cxf.bus.managers that return AutomaticWorkQueue
  Modifier and Type
  Method
  Description
  `AutomaticWorkQueue`
  WorkQueueManagerImpl.`getAutomaticWorkQueue()`
  `AutomaticWorkQueue`
  WorkQueueManagerImpl.`getNamedWorkQueue(String name)`
  Methods in org.apache.cxf.bus.managers with parameters of type AutomaticWorkQueue
  Modifier and Type
  Method
  Description
  `final void`
  WorkQueueManagerImpl.`addNamedWorkQueue(String name, AutomaticWorkQueue q)`

- ## Uses of AutomaticWorkQueue in org.apache.cxf.workqueue

  Classes in org.apache.cxf.workqueue that implement AutomaticWorkQueue
  Modifier and Type
  Class
  Description
  `class`
  `AutomaticWorkQueueImpl`
  Methods in org.apache.cxf.workqueue that return AutomaticWorkQueue
  Modifier and Type
  Method
  Description
  `AutomaticWorkQueue`
  WorkQueueManager.`getAutomaticWorkQueue()`
  Get the manager's default work queue.
  `AutomaticWorkQueue`
  WorkQueueManager.`getNamedWorkQueue(String name)`
  Get the named work queue.
  Methods in org.apache.cxf.workqueue with parameters of type AutomaticWorkQueue
  Modifier and Type
  Method
  Description
  `void`
  WorkQueueManager.`addNamedWorkQueue(String name, AutomaticWorkQueue q)`
  Adds a named work queue